Bug 545570 - linux-config, samba, Once rhq passes bad share config and the request fails, rhq is unable to create new shares successfully
linux-config, samba, Once rhq passes bad share config and the request fails, ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
unspecified
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://auto-rhq.usersys.redhat.com:70...
: SubBug
Depends On: 537068
Blocks: RHQ_Config rhq_triage
  Show dependency treegraph
 
Reported: 2009-12-08 16:24 EST by wes hayutin
Modified: 2014-05-16 16:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 16:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-12-08 16:24:25 EST
Description of problem:
linux-config, samba, Once rhq passes bad share config and the request fails, rhq is unable to create new shares successfully

Go through the steps in bug https://bugzilla.redhat.com/show_bug.cgi?id=537068.  The request will end up with a failure.  Now the rhq samba service is in a state that new valid shares can not be created.

To work around the issue you have to uninventory the samba server and rediscover the service.  Now you can create new shares


How reproducible:
its reproducible, repro'd on partha's dev box.


Steps to Reproduce:
1. inventory -> create a share
2. fill out, resource name, name, and uncheck the comment box. leave the comment blank.
3. click submit
4. notice you get an error
5. now, start over and  create a share w/ a valid config w/ all the proper fields filled out.
6. click submit

 
Actual results:

get an exception

Expected results:

you are able to create a new share

Additional info:

To clean up the samba server service, uninventory and rediscover.
Comment 1 wes hayutin 2010-02-16 11:54:44 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:00:07 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-10-05 09:08:19 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.